# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /root/worker/containers/00003f6e3tm/tmp/build/80754af9/rsync-recipes/ansi2html-1.5.2-python_3.7-on-linux_ppc64le, last modified Tue Jan 26 08:49:19 2021
# ------------------------------------------------

package:
  name: ansi2html
  version: 1.5.2
source:
  fn: ansi2html-1.5.2.tar.gz
  sha256: 96ae85ae7b26b7da674d87de2870ba4d1964bca733ae4614587080b6358c3ba9
  url: https://pypi.io/packages/source/a/ansi2html/ansi2html-1.5.2.tar.gz
build:
  entry_points:
    - ansi2html=ansi2html.converter:main
  number: '0'
  script: python setup.py install --single-version-externally-managed --record=record.txt
  string: py37h6ffa863_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - ca-certificates 2021.1.19 h6ffa863_0
    - certifi 2020.12.5 py37h6ffa863_0
    - ld_impl_linux-ppc64le 2.33.1 h0f24833_7
    - libedit 3.1.20191231 h14c3975_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 8.2.0 h822a55f_1
    - libstdcxx-ng 8.2.0 h822a55f_1
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1i h140841e_0
    - python 3.7.9 h3a5dbe6_0
    - readline 8.1 h140841e_0
    - setuptools 52.0.0 py37h6ffa863_0
    - sqlite 3.33.0 hbc83047_0
    - tk 8.6.10 hbc83047_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - python >=3.7,<3.8.0a0
    - setuptools
    - six
test:
  commands:
    - nosetests tests/test_ansi2html.py
    - ansi2html --help
  imports:
    - ansi2html
  requires:
    - mock >=0.8
    - nose
  source_files:
    - tests
about:
  description: 'ansi2html allows users to convert text with ANSI color codes

    to HTML or to Latex.

    '
  dev_url: https://github.com/ralphbean/ansi2html/
  doc_source_url: https://github.com/ralphbean/ansi2html/blob/develop/README.rst
  doc_url: https://pypi.python.org/pypi/ansi2html/
  home: https://pypi.python.org/pypi/ansi2html
  license: LGPLv3+
  license_family: LGPL
  license_file: LICENSE
  summary: Convert text with ANSI color codes to HTML or to LaTeX.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - nehaljwani
